http://managedblockchain.{region}.amazonaws.com/networks/{networkId}/nodes/{nodeId}<p>Returns detailed information about a node.</p> <p>Applies to Hyperledger Fabric and Ethereum.</p>
The unique identifier of the network that the node is on.
The unique identifier of the node.
<p>The unique identifier of the member that owns the node.</p> <p>Applies only to Hyperledger Fabric and is required for Hyperledger Fabric.</p>
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://managedblockchain.{region}.amazonaws.com/networks/{networkId}/nodes/{nodeId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://managedblockchain.{region}.amazonaws.com/networks/{networkId}/nodes/{nodeId}<p>Returns detailed information about a node.</p> <p>Applies to Hyperledger Fabric and Ethereum.</p>
The unique identifier of the network that the node is on.
The unique identifier of the node.
<p>The unique identifier of the member that owns the node.</p> <p>Applies only to Hyperledger Fabric and is required for Hyperledger Fabric.</p>
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://managedblockchain.{region}.amazonaws.com/networks/{networkId}/nodes/{nodeId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}